### Method

# Gimp Image take_selected_layers

#### Declaration [src]

    gboolean
    gimp_image_take_selected_layers (
      GimpImage* image,
      GList* layers
    )

#### Description [src]

The layers are set as the selected layers in the image. Any previous selected layers or channels are unselected. An exception is a previously existing floating selection, in which case this procedure will return an execution error.

Available since: | 3.0

#### Parameters

`layers` | A list of `GimpLayer*`
| The list of layers to select.
| The instance takes ownership of the data container, but not the data inside it.

#### Return value

Returns: | `gboolean`
| TRUE on success.